var storageTest = function(storage) {
	if(!!storage) {
		try {
			storage.setItem("key", "value");
			storage.removeItem("key");
			return true;
		} catch(e) {
			alert("为了您的用户体验，请勿使用无痕模式");
			return false;
		}
	} else {
		return false;
	}
}

storageTest(window.localStorage);
storageTest(window.sessionStorage);
var rem = $("html").css("font-size");
var userName = sessionStorage.getItem("username");
var token = localStorage.getItem("token");
if(token && token != "") {

} else {
	window.location.href = "login.html";
}

function testIfLogout(jqXHR) {
	if(jqXHR.status == 501) {
		var txt = jqXHR.responseText;
		window.wxc.xcConfirm(txt, window.wxc.xcConfirm.typeEnum.info);
	} else if(jqXHR.status == 408) {
		var txt = "请求超时";
		window.wxc.xcConfirm(txt, window.wxc.xcConfirm.typeEnum.info);
	} else if(jqXHR.status == 500) {
		var txt = "网络开小差了，请稍后再试";
		window.wxc.xcConfirm(txt, window.wxc.xcConfirm.typeEnum.info);
	} else if(jqXHR.status == 502) {
		var txt = "登录超时，请重新登录";
		var option = {
			title: "登录超时",
			btn: parseInt("0011", 2),
			onOk: function() {
				window.location.href = "login.html";
			},
			onCancel: function() {
				window.location.href = "login.html";
			},
			onClose: function() {
				window.location.href = "login.html";
			}
		}
		window.wxc.xcConfirm(txt, window.wxc.xcConfirm.typeEnum.info, option);
	}
}

function loadOrderDetail(data) {
	$.ajax({
		type: "get",
		url: path + "Order/GetOrderInfo",
		data: data,
		beforeSend: function() {
			$(".initCover").css("display", "block");
		},
		success: function(data) {
			$(".initCover").css("display", "none");
			var orderMsg = data.list;
			var htmlCode = "";
			$(".orderDetailCode").text("");
			$(".orderDetailMoney").text("");
			$(".orderDetailTran").text("");
			$(".orderDetailInfo").text("");
			$(".orderDetailHYJS").text("");
			$(".orderDetaildfk").text("");
			$(".orderDetailRemark").text("");
			$(".orderAlertTopStepsDate1").text("");
			$(".orderAlertTopStepsDate2").text("");
			$(".orderAlertTopStepsDate3").text("");
			$(".orderAlertTopStepsDate4").text("");
			$(".orderAlertTopSteps1").find(".orderAlertTopStepsTopRound").removeClass("orderAlertTopStepsTopRoundColor");
			$(".orderAlertTopSteps2").find(".orderAlertTopStepsTopRound").removeClass("orderAlertTopStepsTopRoundColor");
			$(".orderAlertTopSteps3").find(".orderAlertTopStepsTopRound").removeClass("orderAlertTopStepsTopRoundColor");
			$(".orderAlertTopSteps4").find(".orderAlertTopStepsTopRound").removeClass("orderAlertTopStepsTopRoundColor");

			if(data.code != "" && data.code != null) {
				$(".orderDetailCode").text(data.code);
			}
			if(data.money != "" && data.money != null) {
				$(".orderDetailMoney").text(data.money);
			}
			if(data.tranCompany != "" && data.tranCompany != null) {
				$(".orderDetailTran").text(data.tranCompany);
			}
			if(data.info != "" && data.info != null) {
				$(".orderDetailInfo").text(data.info);
			}
			if(data.hyjs != "" && data.hyjs != null) {
				$(".orderDetailHYJS").text(data.hyjs);
			}
			if(data.waitPay > 0) {
				$(".orderDetaildfk").parent().show();
				$(".orderDetaildfk").text(data.waitPay);
			} else
				$(".orderDetaildfk").parent().hide();
			if(data.remark != "" && data.remark != null) {
				$(".orderDetailRemark").text(data.remark);
			}
			if(data.submitDate != "" && data.submitDate != null) {
				$(".orderAlertTopSteps1").find(".orderAlertTopStepsTopRound").addClass("orderAlertTopStepsTopRoundColor");
				$(".orderAlertTopStepsDate1").text(data.submitDate);
			}
			if(data.audiDate != "" && data.audiDate != null) {
				$(".orderAlertTopSteps2").find(".orderAlertTopStepsTopRound").addClass("orderAlertTopStepsTopRoundColor");
				$(".orderAlertTopStepsDate2").text(data.audiDate);
			}
			if(data.outStockDate != "" && data.outStockDate != null) {
				$(".orderAlertTopSteps3").find(".orderAlertTopStepsTopRound").addClass("orderAlertTopStepsTopRoundColor");
				$(".orderAlertTopStepsDate3").text(data.outStockDate);
			}
			if(data.jkDate != "" && data.jkDate != null) {
				$(".orderAlertTopSteps4").find(".orderAlertTopStepsTopRound").addClass("orderAlertTopStepsTopRoundColor");
				$(".orderAlertTopStepsDate4").text(data.jkDate);
			}
			if(orderMsg && orderMsg.length > 0) {
				for(var i = 0; i < orderMsg.length; i++) {
					htmlCode += '<li>' +
						'<span class = "orderDetailListName">' +
						orderMsg[i].iname +
						'</span>' +
						'<span class = "orderDetailListHalf">大类：' +
						orderMsg[i].wd +
						'</span>' +
						'<span class = "orderDetailListHalf">单价：' +
						orderMsg[i].tax +
						'</span>' +
						'<span class = "orderDetailListHalf">数量：' +
						orderMsg[i].inum +
						'</span>' +
						'<span class = "orderDetailListHalf">金额：' +
						orderMsg[i].summ +
						'</span>' +
						'</li>'
				}
			} else {
				htmlCode = "";
			}
			$(".orderDetailList").html("");
			$(".orderDetailList").html(htmlCode);
		},
		error: function(jqXHR) {
			$(".initCover").css("display", "none");
			testIfLogout(jqXHR)
		}
	});
}

function GetDateStr(AddDayCount) {
	var dd = new Date();
	dd.setDate(dd.getDate() + AddDayCount); //获取AddDayCount天后的日期
	var y = dd.getFullYear();
	var m = dd.getMonth() + 1; //获取当前月份的日期
	var d = dd.getDate();
	if(m < 10) {
		m = "0" + m
	}
	if(d < 10) {
		d = "0" + d
	}
	return y + "-" + m + "-" + d;
}
//购物车角标
var carList = localStorage.getItem("cartlistinfo");
var totalNum = 0;
if(carList && carList != "" && carList != null) {
	var carJson = JSON.parse(carList);
	for(var i = 0; i < carJson.length; i++) {
		totalNum += carJson[i].count;
	}
}
if(totalNum > 0) {
	$(".numInCar").css("display", "block");
	$(".numInCar").text("");
	$(".numInCar").text(totalNum);
} else {
	$(".numInCar").css("display", "none");
}
//判断为app后验证版本号
var userAgent = navigator.userAgent.toLowerCase() //获取userAgent
var isInapp = userAgent.indexOf("merchantbridge") >= 0;
if(isInapp == true) {
	var nowVersion = "";
	$.getJSON("manifest.json", null, function(data) {
		nowVersion = data.version.name;
		$.ajax({
			type: "get",
			url: path + "System/GetVersionInfo",
			data: "",
			async: false,
			success: function(data) {
				if(nowVersion != data) {
					var htmlCode = "";
					htmlCode += '<div style="width:100%;position:fixed;top:0;left:0;height:100%;width:100%;background:rgba(0,0,0,.5);z-index:99999;">' +
						'<div style="position: fixed;top: 25%;left: 50%;width: 80%;height: 25rem;background: #FFFFFF;margin: 0 0 0 -40%;">' +
						'<div style="width: 100%;height: 3rem;line-height: 3rem;padding: 0 1rem;border-bottom: 2px solid #677EF5;text-align: center;background:#efefef;">' +
						'发现新版本' +
						'</div>' +
						'<div style="width: 100%;line-height: 2rem;padding: 1rem 1rem 0 1rem;">' +
						'<p>当前版本为' +
						nowVersion +
						'</p>' +
						'<p>最新版本为' +
						data +
						'</p>' +
						'<p>为不影响您的使用，请前往更新!</p>' +
						'<a href="https://b2b.haocai.com/download.html" style="text-decoration: none;display: block;height: 2.5rem;line-height: 2.5rem;text-align: center;width: 40%;margin: 0 auto;color: #FFFFFF;background: #677EF5;border-radius: .4rem;margin-top: 3rem;">立即更新</a>' +
						'</div>' +
						'</div>' +
						'</div>'
					$("body").append(htmlCode);
				}
			}
		});
	});
}