var storageTest = function(storage){
    if(!!storage){
        try {
            storage.setItem("key", "value");
            storage.removeItem("key");
            return true;
        } catch(e){
        	alert("为了您的用户体验，请勿使用无痕模式");
            return false;
        }
    }else{
        return false;
    }
}

storageTest(window.localStorage);

//判断跳转地址
var loginType = "";
var returnUrl = "";
var ajaxUrl = "";

returnUrl = "index.html";
ajaxUrl = path + "User/Login";
	
//加密方法
function getEntryptPwd(pwd) {
    var pubKey = "MIGeMA0GCSqGSIb3DQEBAQUAA4GMADCBiAKBgF+0xy/QDBeL4T+reoMYtX+6JKo30WxjBLU2H9L4g9YDl5uZ6Jb1ZXOfJjMKyWs88tsdbDJND/MGT71x7Gnl3ZmQaXag6J78SitV1glgUDMaYzZt8fKCfnioAHxazZgW6s37rNm0Rk20p9BBxUPoOiMOgqFrzEYeFVrgqsmaC0Y5AgMBAAE=";
    if (!pwd || !pubKey) {
        return pwd;
    }
    var encrypt = new JSEncrypt();
    encrypt.setPublicKey(pubKey);
    return encrypt.encrypt(pwd);
}
window.onload = function(){
	var loginBoxLeftHeight = $(".loginBoxLeft").height();
	$(".loginBoxright").css("height",loginBoxLeftHeight);
//	$(".registerBox").css("height",loginBoxLeftHeight);
	$(window).resize(function() {
		var loginBoxLeftHeight = $(".loginBoxLeft").height();
		$(".loginBoxright").css("height",loginBoxLeftHeight);
//		if($(".loginBox").css("display") == "block"){
//			$(".registerBox").css("height",loginBoxLeftHeight);
//		}
	});
};
var remUserName = localStorage.getItem("username");
if(remUserName){
	$("#loginName").val(remUserName);
	$(".checkboxChecked").css("display","block");
}

$(".rememberBtnBox").on("click",function(){
	if($(".checkboxChecked").css("display") == "none"){
		$(".checkboxChecked").css("display","block");
	}else{
		$(".checkboxChecked").css("display","none");
	}
});
function showHiddenBox(type){
	$(".loginBox").removeClass("zoomIn");
	$(".loginBox").addClass("zoomOut");
	$(".registerBox").removeClass("zoomOut");
	$(".registerBox").addClass("zoomIn");
	$(".registerBox").css("display","block");
	$(".loginBox").css("display","none");
	if(type == 1){
		$(".registerDiv").css("display","block");
		$(".forgetDiv").css("display","none");
	};
	if(type == 2){
		$(".registerDiv").css("display","none");
		$(".forgetDiv").css("display","block");
	};
}
$(".registerBtn").on("click",function(){
	showHiddenBox(1);
});
$(".forget").on("click",function(){
	showHiddenBox(2);
});
$(".toLoginBtn").on("click",function(){
	$(".loginBox").removeClass("zoomOut");
	$(".loginBox").addClass("zoomIn");
	$(".registerBox").removeClass("zoomIn");
	$(".registerBox").addClass("zoomOut");
	$(".loginBox").css("display","block");
	$(".registerBox").css("display","none");
});
$(".weChat").on("mouseover",function(){
	$(".weChatImg").css("display","block");
});
$(".weChat").on("mouseleave",function(){
	$(".weChatImg").css("display","none");
});
// String.prototype.trim = function () {
//return this .replace(/^\s\s*/, '' ).replace(/\s\s*$/, '' );
// }
function login() {
	if($("#loginName").val()!=""&&$("#password").val()!=""){
		var encodePsw = $("#password").val();
		var resData = {
			"name":$("#loginName").val(),
			"pwd":encodePsw,
			"loginType":loginType,
			"token":"",
		}
		$.ajax({
			type:"post",
			url:ajaxUrl,
			data:resData,
			contentType: 'application/x-www-form-urlencoded',
			beforeSend:function(){
				$(".loginCover").css("display","block");
			},
			success:function(data){
				$(".loginCover").css("display","none");
				sessionStorage.setItem("username",$("#loginName").val());
				if($(".checkboxChecked").css("display") == "block"){
					localStorage.setItem("username",$("#loginName").val());
				}else{
					localStorage.removeItem("username");
				}
				localStorage.setItem("token",data);
				localStorage.setItem("appusername",$("#loginName").val());
				localStorage.setItem("apppsw",$("#password").val());
				window.location.href = returnUrl;
			},
			error:function(jqXHR,textStatus,errorThrown){
				$(".loginCover").css("display","none");
				if(jqXHR.status == 501){
					var txt=  jqXHR.responseText;
					window.wxc.xcConfirm(txt, window.wxc.xcConfirm.typeEnum.info);
				}
				else if(jqXHR.status == 408){
					var txt=  "请求超时";
					window.wxc.xcConfirm(txt, window.wxc.xcConfirm.typeEnum.info);
				}
				else if(jqXHR.status == 500){
					var txt=  "服务器异常";
					window.wxc.xcConfirm(txt, window.wxc.xcConfirm.typeEnum.info);
				}
			}
		});
	}else{
		var txt=  "用户名或密码为空！";
		window.wxc.xcConfirm(txt, window.wxc.xcConfirm.typeEnum.info);
	}
}
$(".loginBtn").on("click",function(){
	login();
});
$("#password").keydown(function(event){
  if(event.keyCode ==13){
    $(".loginBtn").trigger("click");
  }
});


